<template>
<div class="rtx-lobby">
	<div class="full-size">
		<div class="row">
			<player :id="1" :name="1" @change="this.onChange" @start="this.onStart" />
			<player :id="2" :name="2" @change="this.onChange" @start="this.onStart" />
		</div>
		<div class="row">
			<player :id="3" :name="3" @change="this.onChange" @start="this.onStart" />
			<player :id="4" :name="4" @change="this.onChange" @start="this.onStart" />
		</div>
		<div class="ready_msg" v-if="this.ready">
			PRESS START TO BEGIN
		</div>
	</div>
</div>
</template>

<script>
import { RTX_CONTROLS } from "../../constants/routes.js"
import Player from "../components/Player.vue"

export default {
	components: { Player },
	data () {
		return {
			players: [ ],
			ready: false
		}
	},
	methods: {
		onChange (data) {
			this.players[data.id] = data
			const not_ready = this.players.reduce((value, player) => {
				return value || !player.ready
			}, false)
			this.ready = !!this.players.length && !not_ready
			console.log(this.ready)
		},
		onStart () {
			if (this.ready) {
				window.playerSettings = this.players
				UI.emit("CHANGE_ROUTE", RTX_CONTROLS)
			}
		}
	},
	name: "rtx-lobby",
}
</script>

<style lang="less" scoped>
.full-size {
	bottom: 0;
	display: flex;
	flex-direction: column;
	left: 0;
	position: absolute;
	right: 0;
	top: 0;
}

.ready_msg {
	align-items: center;
	bottom: 0;
	display: flex;
	font-size: 8em;
	justify-content: center;
	left: 0;
	position: absolute;
	right: 0;
	top: 0;
}

.row {
	display: flex;
	flex: 1;
	flex-direction: row;
}
</style>
